module Text.HTML.TagSoup.HT.PositionTag where

import qualified Text.HTML.TagSoup.HT.Tag as Tag
import qualified Text.HTML.TagSoup.HT.Position as Position

import Text.HTML.TagSoup.HT.Utility (mapSnd, )


type T char = (Position.T, Tag.T char)

lift :: (Tag.T char0 -> Tag.T char1) -> (T char0 -> T char1)
lift = mapSnd

canonicalizeSoup :: [T char] -> [T char]
canonicalizeSoup =
   map canonicalize

{- |
See 'Tag.canonicalize'.
-}
canonicalize :: T char -> T char
canonicalize = lift Tag.canonicalize

textFromCData :: T Char -> T Char
textFromCData = lift Tag.textFromCData
